// Copyright (c) 2022 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnlibs.hpp"
#include "assert/assert.hpp"

namespace Dawn {
  /**
   * Append a list on to another list.
   * 
   * @param list Pointer to list that is being appended to.
   * @param append Pointer to list that will be appended.
   */
  template<typename T>
  void vectorAppend(std::vector<T> &list, const std::vector<T> &append) {
    list.insert(list.end(), append.begin(), append.end());
  }
}
